/*
 * Copyright 2024 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.schoolentry.api;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

@Schema(name = "Icd10Code")
public record Icd10CodeDto(
    @NotNull @Schema(description = "ICD-10 code or ICD-10 group code", example = "A00") String code,
    @NotNull @Schema(description = "ICD-10 code title", example = "Cholera") String title,
    @NotNull @Schema(description = "If true, the returned code specifies an ICD-10 code group.")
        boolean isGroup) {}
