/*
 * Copyright 2024 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.schoolentry.config;

import de.eshg.lib.keycloak.ModuleLeaderRole;
import de.eshg.lib.keycloak.ModuleMemberGroup;
import de.eshg.lib.procedure.procedures.SummaryProvider;
import de.eshg.schoolentry.domain.model.SchoolEntryProcedure;
import de.eshg.schoolentry.domain.model.SchoolEntryTask;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SchoolEntryProcedureConfiguration {

  @Bean
  ModuleMemberGroup moduleMemberGroup() {
    return ModuleMemberGroup.SCHOOL_ENTRY;
  }

  @Bean
  ModuleLeaderRole moduleLeaderRole() {
    return ModuleLeaderRole.SCHOOL_ENTRY_LEADER;
  }

  @Bean
  SummaryProvider<SchoolEntryTask, SchoolEntryProcedure> summaryProvider() {
    return new SummaryProvider<>() {
      @Override
      public String getTaskSummary(SchoolEntryTask task) {
        return "Einschulungsuntersuchung";
      }

      @Override
      public String getProcedureSummary(SchoolEntryProcedure procedure) {
        return "Einschulungsuntersuchung";
      }
    };
  }
}
