/*
 * Copyright 2024 SCOOP Software GmbH, cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.travelmedicine.vaccinationconsultation.api;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import java.time.Instant;
import java.util.UUID;

@Schema(name = "UserDefinedAppointment")
public record UserDefinedAppointmentDto(
    @NotNull UUID id, @NotNull Instant appointmentStart, @NotNull Instant appointmentEnd) {}
